GET/projects/api/v3/insights/utilization/{type}.json

Get utilization insights by report type.

Returns utilization data scoped to the supplied report type (user, team, job role, dashboard variants, etc.). Supports the same filters as the people utilization endpoint.

Path Params

  • Name
    type
    Type
    integer
    required
    Description

Query Params

  • Name
    zoom
    Type
    string
    Description

    determine the type of zoom filter used to display on the report

    Allowed values
    • week
    • month
    • last3months
    • quarterbyweek
    • quarterbymonth
  • Name
    startDate
    Type
    string
    Description

    filter by start date

  • Name
    sortOrder
    Type
    string
    Description

    order mode

    Default
    asc
    Allowed values
    • asc
    • desc
  • Name
    sort
    Type
    string
    Description

    sort by (deprecated, use orderBy)

    Default
    name
    Allowed values
    • name
    • percentutilization
    • percentestimatedutilization
    • availableminutes
    • unavailableminutes
    • loggedminutes
    • billableminutes
    • unbillableminutes
    • billableutilization
    • nonbillableutilization
  • Name
    searchTerm
    Type
    string
    Description

    filter by user first or last name

  • Name
    reportFormat
    Type
    string
    Description

    define the format of the report

    Default
    pdf
    Allowed values
    • pdf
  • Name
    orderMode
    Type
    string
    Description

    group by

    Allowed values
    • weekly
    • monthly
  • Name
    orderBy
    Type
    string
    Description

    sort by

    Default
    name
    Allowed values
    • name
    • percentutilization
    • percentestimatedutilization
    • availableminutes
    • unavailableminutes
    • loggedminutes
    • billableminutes
    • unbillableminutes
    • companycount
    • achieved
    • target
    • allocatedutilization
    • totalworkingminutes
    • availableutilization
    • unavailableutilization
  • Name
    groupBy
    Type
    string
    Description

    group by

    Allowed values
    • day
    • week
    • month
  • Name
    endDate
    Type
    string
    Description

    filter by end date

  • Name
    pageSize
    Type
    integer
    Description

    number of items in a page

    Default
    50
  • Name
    page
    Type
    integer
    Description

    page number

    Default
    1
  • Name
    skipCounts
    Type
    boolean
    Description

    SkipCounts allows you to skip doing counts on a list API endpoint for performance reasons.

  • Name
    legacyResponse
    Type
    boolean
    Description

    return response without summary and its legacy body structure

    Default
    true
  • Name
    isReportDownload
    Type
    boolean
    Description

    generate a report document

    Default
    false
  • Name
    isCustomDateRange
    Type
    boolean
    Description

    determine if the query is for a custom date range

  • Name
    includeUtilizations
    Type
    boolean
    Description

    adds report rows for individual entities

    Default
    true
  • Name
    includeTotals
    Type
    boolean
    Description

    adds report summary to response

    Default
    false
  • Name
    includeCollaborators
    Type
    boolean
    Description

    include collaborators

    Default
    true
  • Name
    includeClients
    Type
    boolean
    Description

    include client users

    Default
    true
  • Name
    includeCalendarEvents
    Type
    boolean
    Description

    include calendar events

  • Name
    includeArchivedProjects
    Type
    boolean
    Description

    include archived projects

    Default
    false
  • Name
    IncludeCompletedTasks
    Type
    boolean
    Description

    include completed tasks

    Default
    true
  • Name
    userTypes
    Type
    array[string]
    Description

    user types in the utilization report

    Format
    Comma separated values
    Allowed values
    • standard
    • placeholder
  • Name
    userIds
    Type
    array[integer]
    Description

    filter by userIds

    Format
    Comma separated values
  • Name
    teamIds
    Type
    array[integer]
    Description

    filter by team ids

    Format
    Comma separated values
  • Name
    selectedColumns
    Type
    array[string]
    Description

    customise the report by selecting columns to be displayed.

    Format
    Comma separated values
  • Name
    projectIds
    Type
    array[integer]
    Description

    filter by project ids

    Format
    Comma separated values
  • Name
    jobRoleIds
    Type
    array[integer]
    Description

    filter by jobrole ids

    Format
    Comma separated values
  • Name
    include
    Type
    array[string]
    Description

    include

    Format
    Comma separated values
    Allowed values
    • users
    • jobroles
  • Name
    fields[utilizations]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • userId
    • unavailableMinutes
    • availableMinutes
    • billableMinutes
    • unbillableMinutes
    • loggedMinutes
  • Name
    fields[users]
    Type
    array[string]
    Description
    Format
    Comma separated values
    Allowed values
    • id
    • firstName
    • lastName
    • title
    • email
    • companyId
    • company
    • isAdmin
    • isClientUser
    • isServiceAccount
    • type
    • deleted
    • avatarUrl
    • lengthOfDay
    • workingHoursId
    • workingHour
    • userRate
    • userCost
    • canAddProjects
  • Name
    companyIds
    Type
    array[integer]
    Description

    filter by company ids

    Format
    Comma separated values

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    Response contains information about a specific availability.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Description
    404 Not Found No Data

Examples

200 OK

Response
{  "dashboardData": {    "jobRolesDashboard": [      {        "data": {          "availableMinutes": 0,          "billableUtilization": 0,          "estimatedBillableUtilization": 0,          "estimatedUtilization": 0,          "totalWorkingMinutes": 0,          "unavailableMinutes": 0        },        "jobRole": {          "id": 0,          "meta": {},          "type": "string"        },        "jobRoleId": 0,